#
# Control script for SGE daemons.
#
# Just a wrapper around the sagemaster and sgeexecd scripts.
# 
# We use the perl script for the purpose of getting at the
# configuration information.
#

use FIG_Config;

my $cmd = shift @ARGV;

if (@ARGV != 0 or ($cmd ne "start" and $cmd ne "stop"))
{
    die "Usage: $0 start|stop\n";
}

my $celldir = "$FIG_Config::fig_disk/gendb/SGE/default";

exit unless -d $celldir;

my @scripts = ("$celldir/common/sgemaster", "$celldir/common/sgeexecd");

for my $s (@scripts)
{
    next unless -x $s;
    system($s, $cmd);
}
