
use FIG;

#
# switch_to_release <release_number>
#
# Change the currently-running release to <release_number>
#
# Check to be sure that $fig_disk/dist/releases/<release_number> exists
#
# Update $fig_disk/CURRENT_RELEASE with the new release number.
#
# Swing the symlinks $fig_disk/FIG/bin and $fig_disk/FIG/CGI to the right place
#
# Create the symlink $fig_disk/disk/releases/current to point to <release_number>
#
# Expand the environment-specific tool headers from $fig_disk/config/base_tool_hdr
# to include the release-specific directories. Place the output in
# dist/releases/<release_number>/<arch>.
#

require FigCommon::SwitchRelease;

if (@ARGV != 1)
{
    die "Usage: switch_to_release release-number";
}

my $release_number = $ARGV[0];

#
# We assume the architecture name is keept in $RTARCH in the environment.
#
my $arch = $ENV{RTARCH};

FigCommon::SwitchRelease::switch_to_release($FIG_Config::fig_disk, $arch, $release_number);

