#
# Create a new fig script.
#

open(FH, "<$FIG_Config::fig_disk/config/fig-user-env.sh");
while (<FH>)
{
    chomp;
    if (/^RTARCH=\"(.*)\"/)
    {
	$arch = $1;
	last;
    }
}

if (!$arch)
{
    die "Couldn't determine FIG architecture name\n";
}

$file = "$FIG_Config::fig_disk/dist/releases/current/$arch/tool_hdr";

open(FH, "<$file") or die "Cannot open tool_hdr file $file: $!\n";

if (@ARGV == 0)
{
    while (<FH>)
    {
	print;
    }
    close(FH);
}
else
{
    $out = $ARGV[0];

    if (-f $out)
    {
	#
	# Better would be to replace the existing tool_hdr, if present,
	# with the right thing. But not yet.
	#
	
	die "Output file $out already exists, not overwriting.\n";
    }
	 
    
    open(OUT, ">$out") or die "Cannot open output $out: $!\n";
    while (<FH>)
    {
	print OUT $_;
    }
    close(FH);
    close(OUT);
    system("chmod +x $out");
}


